Develop and Download Open Source Software

Browse CVS Repository

Diff of /freewnn/FreeWnn/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.31 by hiroo, Wed Jun 4 14:05:21 2003 UTC revision 1.32 by hiroo, Sun Jun 8 03:09:47 2003 UTC
# Line 1039  Optional Packages: Line 1039  Optional Packages:
1039    --with-tags[=TAGS]    --with-tags[=TAGS]
1040                            include additional configurations [automatic]                            include additional configurations [automatic]
1041    --with-x                use the X Window System    --with-x                use the X Window System
1042      --with-libwrap=PATH   Compile in libwrap (tcp_wrappers) support.
1043    
1044  Some influential environment variables:  Some influential environment variables:
1045    CC          C compiler command    CC          C compiler command
# Line 3485  ia64-*-hpux*) Line 3486  ia64-*-hpux*)
3486    ;;    ;;
3487  *-*-irix6*)  *-*-irix6*)
3488    # Find out which ABI we are using.    # Find out which ABI we are using.
3489    echo '#line 3488 "configure"' > conftest.$ac_ext    echo '#line 3489 "configure"' > conftest.$ac_ext
3490    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3491    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3492    ac_status=$?    ac_status=$?
# Line 4563  fi Line 4564  fi
4564    
4565    
4566  # Provide some information about the compiler.  # Provide some information about the compiler.
4567  echo "$as_me:4566:" \  echo "$as_me:4567:" \
4568       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4569  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4570  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 5566  else Line 5567  else
5567     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5568     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5569     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5570     (eval echo "\"\$as_me:5569: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5570: $lt_compile\"" >&5)
5571     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5572     ac_status=$?     ac_status=$?
5573     cat conftest.err >&5     cat conftest.err >&5
5574     echo "$as_me:5573: \$? = $ac_status" >&5     echo "$as_me:5574: \$? = $ac_status" >&5
5575     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5576       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5577       # So say no if there are warnings       # So say no if there are warnings
# Line 5798  else Line 5799  else
5799     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5800     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5801     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5802     (eval echo "\"\$as_me:5801: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5802: $lt_compile\"" >&5)
5803     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5804     ac_status=$?     ac_status=$?
5805     cat conftest.err >&5     cat conftest.err >&5
5806     echo "$as_me:5805: \$? = $ac_status" >&5     echo "$as_me:5806: \$? = $ac_status" >&5
5807     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5808       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5809       # So say no if there are warnings       # So say no if there are warnings
# Line 5865  else Line 5866  else
5866     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5867     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5868     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5869     (eval echo "\"\$as_me:5868: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5869: $lt_compile\"" >&5)
5870     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
5871     ac_status=$?     ac_status=$?
5872     cat out/conftest.err >&5     cat out/conftest.err >&5
5873     echo "$as_me:5872: \$? = $ac_status" >&5     echo "$as_me:5873: \$? = $ac_status" >&5
5874     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
5875     then     then
5876       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 7868  else Line 7869  else
7869    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7870    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7871    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7872  #line 7871 "configure"  #line 7872 "configure"
7873  #include "confdefs.h"  #include "confdefs.h"
7874    
7875  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 7966  else Line 7967  else
7967    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7968    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7969    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7970  #line 7969 "configure"  #line 7970 "configure"
7971  #include "confdefs.h"  #include "confdefs.h"
7972    
7973  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 10100  else Line 10101  else
10101     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10102     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10103     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10104     (eval echo "\"\$as_me:10103: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10104: $lt_compile\"" >&5)
10105     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
10106     ac_status=$?     ac_status=$?
10107     cat conftest.err >&5     cat conftest.err >&5
10108     echo "$as_me:10107: \$? = $ac_status" >&5     echo "$as_me:10108: \$? = $ac_status" >&5
10109     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
10110       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
10111       # So say no if there are warnings       # So say no if there are warnings
# Line 10167  else Line 10168  else
10168     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10169     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10170     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10171     (eval echo "\"\$as_me:10170: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10171: $lt_compile\"" >&5)
10172     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
10173     ac_status=$?     ac_status=$?
10174     cat out/conftest.err >&5     cat out/conftest.err >&5
10175     echo "$as_me:10174: \$? = $ac_status" >&5     echo "$as_me:10175: \$? = $ac_status" >&5
10176     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
10177     then     then
10178       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 11399  else Line 11400  else
11400    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11401    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11402    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11403  #line 11402 "configure"  #line 11403 "configure"
11404  #include "confdefs.h"  #include "confdefs.h"
11405    
11406  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11497  else Line 11498  else
11498    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11499    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11500    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11501  #line 11500 "configure"  #line 11501 "configure"
11502  #include "confdefs.h"  #include "confdefs.h"
11503    
11504  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12319  else Line 12320  else
12320     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12321     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12322     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12323     (eval echo "\"\$as_me:12322: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12323: $lt_compile\"" >&5)
12324     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
12325     ac_status=$?     ac_status=$?
12326     cat conftest.err >&5     cat conftest.err >&5
12327     echo "$as_me:12326: \$? = $ac_status" >&5     echo "$as_me:12327: \$? = $ac_status" >&5
12328     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
12329       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
12330       # So say no if there are warnings       # So say no if there are warnings
# Line 12386  else Line 12387  else
12387     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12388     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12389     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12390     (eval echo "\"\$as_me:12389: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12390: $lt_compile\"" >&5)
12391     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
12392     ac_status=$?     ac_status=$?
12393     cat out/conftest.err >&5     cat out/conftest.err >&5
12394     echo "$as_me:12393: \$? = $ac_status" >&5     echo "$as_me:12394: \$? = $ac_status" >&5
12395     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12396     then     then
12397       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 14324  else Line 14325  else
14325     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14326     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14327     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14328     (eval echo "\"\$as_me:14327: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14328: $lt_compile\"" >&5)
14329     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14330     ac_status=$?     ac_status=$?
14331     cat conftest.err >&5     cat conftest.err >&5
14332     echo "$as_me:14331: \$? = $ac_status" >&5     echo "$as_me:14332: \$? = $ac_status" >&5
14333     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14334       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14335       # So say no if there are warnings       # So say no if there are warnings
# Line 14556  else Line 14557  else
14557     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14558     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14559     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14560     (eval echo "\"\$as_me:14559: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14560: $lt_compile\"" >&5)
14561     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14562     ac_status=$?     ac_status=$?
14563     cat conftest.err >&5     cat conftest.err >&5
14564     echo "$as_me:14563: \$? = $ac_status" >&5     echo "$as_me:14564: \$? = $ac_status" >&5
14565     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14566       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14567       # So say no if there are warnings       # So say no if there are warnings
# Line 14623  else Line 14624  else
14624     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14625     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14626     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14627     (eval echo "\"\$as_me:14626: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14627: $lt_compile\"" >&5)
14628     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
14629     ac_status=$?     ac_status=$?
14630     cat out/conftest.err >&5     cat out/conftest.err >&5
14631     echo "$as_me:14630: \$? = $ac_status" >&5     echo "$as_me:14631: \$? = $ac_status" >&5
14632     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14633     then     then
14634       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 16626  else Line 16627  else
16627    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16628    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16629    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16630  #line 16629 "configure"  #line 16630 "configure"
16631  #include "confdefs.h"  #include "confdefs.h"
16632    
16633  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 16724  else Line 16725  else
16725    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16726    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16727    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16728  #line 16727 "configure"  #line 16728 "configure"
16729  #include "confdefs.h"  #include "confdefs.h"
16730    
16731  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 18489  fi Line 18490  fi
18490    
18491    
18492    
18493  for ac_header in fcntl.h sgtty.h syslog.h unistd.h \  
18494    
18495    
18496    for ac_header in fcntl.h syslog.h unistd.h utmp.h utmpx.h \
18497          sys/file.h sys/ioctl.h sys/time.h sys/types.h sys/param.h \          sys/file.h sys/ioctl.h sys/time.h sys/types.h sys/param.h \
18498          malloc.h strings.h memory.h \          malloc.h strings.h memory.h \
18499          curses.h ncurses.h term.h termio.h \          curses.h ncurses.h sgtty.h term.h termio.h termios.h \
18500    
18501  do  do
18502  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
# Line 18723  _ACEOF Line 18727  _ACEOF
18727  fi  fi
18728    
18729    
 echo "$as_me:$LINENO: checking for time_t" >&5  
 echo $ECHO_N "checking for time_t... $ECHO_C" >&6  
 if test "${ac_cv_type_time_t+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 $ac_includes_default  
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 if ((time_t *) 0)  
   return 0;  
 if (sizeof (time_t))  
   return 0;  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_type_time_t=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_cv_type_time_t=no  
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_type_time_t" >&5  
 echo "${ECHO_T}$ac_cv_type_time_t" >&6  
 if test $ac_cv_type_time_t = yes; then  
   
 cat >>confdefs.h <<_ACEOF  
 #define HAVE_TIME_T 1  
 _ACEOF  
   
   
 cat >>confdefs.h <<\_ACEOF  
 #define time_t long  
 _ACEOF  
   
 fi  
   
18730  echo "$as_me:$LINENO: checking for socklen_t" >&5  echo "$as_me:$LINENO: checking for socklen_t" >&5
18731  echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6  echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6
18732  if test "${ac_cv_type_socklen_t+set}" = set; then  if test "${ac_cv_type_socklen_t+set}" = set; then
# Line 19041  test $ac_cv_func_memcmp_working = no && Line 18984  test $ac_cv_func_memcmp_working = no &&
18984    
18985    
18986    
18987  for ac_func in wait3 setpgrp  
18988    
18989    for ac_func in getpgid getpgrp setpgrp wait3
18990  do  do
18991  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
18992  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 19116  _ACEOF Line 19061  _ACEOF
19061  fi  fi
19062  done  done
19063    
19064    echo "$as_me:$LINENO: checking whether getpgrp requires zero arguments" >&5
19065    echo $ECHO_N "checking whether getpgrp requires zero arguments... $ECHO_C" >&6
19066    if test "${ac_cv_func_getpgrp_void+set}" = set; then
19067      echo $ECHO_N "(cached) $ECHO_C" >&6
19068    else
19069      # Use it with a single arg.
19070    cat >conftest.$ac_ext <<_ACEOF
19071    #line $LINENO "configure"
19072    #include "confdefs.h"
19073    $ac_includes_default
19074    #ifdef F77_DUMMY_MAIN
19075    #  ifdef __cplusplus
19076         extern "C"
19077    #  endif
19078       int F77_DUMMY_MAIN() { return 1; }
19079    #endif
19080    int
19081    main ()
19082    {
19083    getpgrp (0);
19084      ;
19085      return 0;
19086    }
19087    _ACEOF
19088    rm -f conftest.$ac_objext
19089    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19090      (eval $ac_compile) 2>&5
19091      ac_status=$?
19092      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19093      (exit $ac_status); } &&
19094             { ac_try='test -s conftest.$ac_objext'
19095      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19096      (eval $ac_try) 2>&5
19097      ac_status=$?
19098      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19099      (exit $ac_status); }; }; then
19100      ac_cv_func_getpgrp_void=no
19101    else
19102      echo "$as_me: failed program was:" >&5
19103    cat conftest.$ac_ext >&5
19104    ac_cv_func_getpgrp_void=yes
19105    fi
19106    rm -f conftest.$ac_objext conftest.$ac_ext
19107    
19108    fi
19109    echo "$as_me:$LINENO: result: $ac_cv_func_getpgrp_void" >&5
19110    echo "${ECHO_T}$ac_cv_func_getpgrp_void" >&6
19111    if test $ac_cv_func_getpgrp_void = yes; then
19112    
19113    cat >>confdefs.h <<\_ACEOF
19114    #define GETPGRP_VOID 1
19115    _ACEOF
19116    
19117    fi
19118    
19119  echo "$as_me:$LINENO: checking whether setpgrp takes no argument" >&5  echo "$as_me:$LINENO: checking whether setpgrp takes no argument" >&5
19120  echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6  echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6
19121  if test "${ac_cv_func_setpgrp_void+set}" = set; then  if test "${ac_cv_func_setpgrp_void+set}" = set; then
# Line 19201  fi Line 19201  fi
19201    
19202    
19203    
19204  for ac_func in random drand48 fchmod getopt \  
19205          gethostname select socket closesocket setsockopt send recv \  for ac_func in random drand48 fchmod getopt killpg \
19206          FD_SET \          FD_SET \
19207            gethostname select socket closesocket setsockopt send recv \
19208          getdtablesize getrlimit syslog vsyslog setenv snprintf          getdtablesize getrlimit syslog vsyslog setenv snprintf
19209  do  do
19210  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
# Line 19449  done Line 19450  done
19450    
19451    
19452    
19453    echo "$as_me:$LINENO: checking whether to use libwrap" >&5
19454    echo $ECHO_N "checking whether to use libwrap... $ECHO_C" >&6
19455    
19456    # Check whether --with-libwrap or --without-libwrap was given.
19457    if test "${with_libwrap+set}" = set; then
19458      withval="$with_libwrap"
19459       case "$withval" in
19460              no)
19461                echo "$as_me:$LINENO: result: no" >&5
19462    echo "${ECHO_T}no" >&6
19463                ;;
19464              yes)
19465                echo "$as_me:$LINENO: result: yes" >&5
19466    echo "${ECHO_T}yes" >&6
19467                echo "$as_me:$LINENO: checking for request_init in -lwrap" >&5
19468    echo $ECHO_N "checking for request_init in -lwrap... $ECHO_C" >&6
19469    if test "${ac_cv_lib_wrap_request_init+set}" = set; then
19470      echo $ECHO_N "(cached) $ECHO_C" >&6
19471    else
19472      ac_check_lib_save_LIBS=$LIBS
19473    LIBS="-lwrap  $LIBS"
19474    cat >conftest.$ac_ext <<_ACEOF
19475    #line $LINENO "configure"
19476    #include "confdefs.h"
19477    
19478    /* Override any gcc2 internal prototype to avoid an error.  */
19479    #ifdef __cplusplus
19480    extern "C"
19481    #endif
19482    /* We use char because int might match the return type of a gcc2
19483       builtin and then its argument prototype would still apply.  */
19484    char request_init ();
19485    #ifdef F77_DUMMY_MAIN
19486    #  ifdef __cplusplus
19487         extern "C"
19488    #  endif
19489       int F77_DUMMY_MAIN() { return 1; }
19490    #endif
19491    int
19492    main ()
19493    {
19494    request_init ();
19495      ;
19496      return 0;
19497    }
19498    _ACEOF
19499    rm -f conftest.$ac_objext conftest$ac_exeext
19500    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19501      (eval $ac_link) 2>&5
19502      ac_status=$?
19503      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19504      (exit $ac_status); } &&
19505             { ac_try='test -s conftest$ac_exeext'
19506      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19507      (eval $ac_try) 2>&5
19508      ac_status=$?
19509      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19510      (exit $ac_status); }; }; then
19511      ac_cv_lib_wrap_request_init=yes
19512    else
19513      echo "$as_me: failed program was:" >&5
19514    cat conftest.$ac_ext >&5
19515    ac_cv_lib_wrap_request_init=no
19516    fi
19517    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
19518    LIBS=$ac_check_lib_save_LIBS
19519    fi
19520    echo "$as_me:$LINENO: result: $ac_cv_lib_wrap_request_init" >&5
19521    echo "${ECHO_T}$ac_cv_lib_wrap_request_init" >&6
19522    if test $ac_cv_lib_wrap_request_init = yes; then
19523    
19524                  LIBS="-lwrap $LIBS"
19525    
19526    cat >>confdefs.h <<\_ACEOF
19527    #define HAVE_LIBWRAP 1
19528    _ACEOF
19529    
19530    fi
19531    
19532                CFLAGS="-DHAVE_LIBWRAP $CFLAGS"
19533                ;;
19534              *)
19535                echo "$as_me:$LINENO: result: yes" >&5
19536    echo "${ECHO_T}yes" >&6
19537                if test -d "$withval"; then
19538                  WRAPINCLUDES="-I$withval"
19539                  WRAPLIBS="-L$withval -lwrap"
19540                else
19541                  WRAPINCLUDES="$withval"
19542                fi
19543                OLDLIBS="$LIBS"
19544                CFLAGS="-DHAVE_LIBWRAP $WRAPINCLUDES $CFLAGS"
19545                LIBS="$WRAPLIBS $LIBS"
19546    
19547                cat >conftest.$ac_ext <<_ACEOF
19548    #line $LINENO "configure"
19549    #include "confdefs.h"
19550     int allow_severity; int deny_severity;
19551    #ifdef F77_DUMMY_MAIN
19552    #  ifdef __cplusplus
19553         extern "C"
19554    #  endif
19555       int F77_DUMMY_MAIN() { return 1; }
19556    #endif
19557    int
19558    main ()
19559    {
19560     hosts_access();
19561      ;
19562      return 0;
19563    }
19564    _ACEOF
19565    rm -f conftest.$ac_objext conftest$ac_exeext
19566    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19567      (eval $ac_link) 2>&5
19568      ac_status=$?
19569      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19570      (exit $ac_status); } &&
19571             { ac_try='test -s conftest$ac_exeext'
19572      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19573      (eval $ac_try) 2>&5
19574      ac_status=$?
19575      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19576      (exit $ac_status); }; }; then
19577      :
19578    else
19579      echo "$as_me: failed program was:" >&5
19580    cat conftest.$ac_ext >&5
19581     { { echo "$as_me:$LINENO: error: Could not find the $withval library. You must first install tcp_wrappers." >&5
19582    echo "$as_me: error: Could not find the $withval library. You must first install tcp_wrappers." >&2;}
19583       { (exit 1); exit 1; }; }
19584    fi
19585    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
19586                ;;
19587            esac
19588    else
19589      echo "$as_me:$LINENO: result: no" >&5
19590    echo "${ECHO_T}no" >&6
19591    
19592    fi;
19593    
19594    
19595  # mkdir -p Contrib/dic/gerodic in case builddir != srcdir  # mkdir -p Contrib/dic/gerodic in case builddir != srcdir
19596  for dir in Contrib Contrib/dic Contrib/dic/gerodic; do  for dir in Contrib Contrib/dic Contrib/dic/gerodic; do
19597    if test ! -d $dir; then    if test ! -d $dir; then

Legend:
Removed from v.1.31  
changed lines
  Added in v.1.32

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26